/*
  pins.h - Arduino pin configuration header file
  Part of DiyouPCBFirm

Copyright (c) 2013 V.Ayllon.  All rights reserved.

DiyouPCBFirm is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY.  No author or distributor accepts responsibility
to anyone for the consequences of using it or for whether it serves any
particular purpose or works at all, unless he says so in writing.  Refer
to the GNU General Public License, Version 2 or later, for full details.

Everyone is granted permission to copy, modify and redistribute
DiyouPCBFirm, but only under the conditions described in the GNU General Public
License.  A copy of this license is supposed to have been
given to you along with DiyouPCB so you can know your rights and
responsibilities.  It should be in a file named COPYING.  Among other
things, the copyright notice and this notice must be preserved on all
copies.

- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
*/

#ifndef PINS_H
#define PINS_H

/****************************************************************************************
* Arduino UNO pin assignment
* 
****************************************************************************************/


#define MOTORS_ENABLE_PIN  8		// Motors enable pin

#define X_STEP_PIN         3		// X Step pin
#define X_DIR_PIN          7		// X Direction pin

#define Y_STEP_PIN         2		// Y Step pin
#define Y_DIR_PIN          4		// Y Direction pin

#define Z_STEP_PIN         9		// Y Step pin
#define Z_DIR_PIN          10		// Y Direction pin

#define LED_PIN            13		// Free
#define RED_LED			   12		// Red led on/off

#define FSERVO_STEP_PIN    5		// Focus servo step pin
#define LASER_CURRENT_PIN  6		// Laser power pin
#define LASER_ENABLE_PIN   11		// Laser on/off

// Analog port

#define PIN_A0		       14

#define X_MIN_PIN          14	    //A0 
#define Y_MIN_PIN          15	    //A1
#define Z_LIMIT            16	    //A2
#define FE_SIGNAL_PIN      17		//A3   
#define DOOR_PIN           18   	//A4  
#define PRINT_LED		   19   	//A5  

#endif
